This URL gets the list of top urls.
Resource URL
GET /ntbamonitors/{ntbaId}/topurls? TopN=<TopN> &timePeriod=<timePeriod>&startTime=<startTime>&endTime=<endTime>
Request Parameters
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| NTBA monitor id | Number | Yes |
| Number of top rows, default 50. | Number | No |
| Duration: can be
| String | No |
| Start time in the format: yyyy-MM-dd HH:mm | String | No |
| End time in the format: yyyy-MM-dd HH:mm | String | No |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
Field Name | Description | Data Type |
|---|---|---|
| List of urls | Array |
Details of topURLsOnNetwork:
Field Name | Description | Data Type |
|---|---|---|
| Reputation | String |
| URL | Number |
| URL id | String |
| Category | String |
| Category id | Number |
| Country | String |
| Count | Number |
Example
Request
Response
{"topURLsOnNetwork":
[
{
"reputation":"Minimal Risk",
"url":"twitter.com",
"urlId":"8390917",
"category":"Blogs/Wiki",
"categoryId":898,
"country":"United States",
"count":6
}
]
}
Error Information
Following error codes are returned by this URL:
S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 400 | 4301 | Invalid duration |
2 | 400 | 4302 | Invalid time format |
3 | 400 | 4303 | Start time is greater than end time |
4 | 400 | 4304 | Invalid date format |
5 | 400 | 4305 | Start/End date is not provided |
6 | 400 | 4306 | Invalid NTBA id |